libcoap 4.3.2rc2

Data Fields
coap_str_const_t Struct Reference
Application API » String handling support

CoAP string data definition with const data. More...

`#include <coap_str.h>`

## Data Fields
size_t | length
| length of string More...
const uint8_t * | s
| read-only string data More...

## Detailed Description

CoAP string data definition with const data.

Definition at line 46 of file coap_str.h.

## Field Documentation

## ◆ length

size_t coap_str_const_t::length

length of string

Definition at line 47 of file coap_str.h.

## ◆ s

const uint8_t* coap_str_const_t::s

read-only string data

Definition at line 48 of file coap_str.h.

The documentation for this struct was generated from the following file:

- coap_str.h